# Uses of Class
org.bukkit.material.MaterialData

Packages that use MaterialData
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.block
Classes used to manipulate the voxels in a `world`, including special states.
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.
org.bukkit.generator
Classes to facilitate `world` generation implementation.
org.bukkit.inventory
Classes involved in manipulating player inventories and item interactions.
org.bukkit.material
Classes that represents various voxel types and states.

## Uses of MaterialData in org.bukkit

Methods in org.bukkit that return MaterialData
Modifier and Type
Method
Description
`@NotNull MaterialData`
Material.`getNewData(byte raw)`
Deprecated.
Magic value
Methods in org.bukkit that return types with arguments of type MaterialData
Modifier and Type
Method
Description
`@NotNull Class<? extends MaterialData>`
Material.`getData()`
Deprecated.
use `Material.createBlockData()`
Methods in org.bukkit with parameters of type MaterialData
Modifier and Type
Method
Description
`Material`
UnsafeValues.`fromLegacy(MaterialData material)`
Deprecated.
`Material`
UnsafeValues.`fromLegacy(MaterialData material, boolean itemPriority)`
Deprecated.
`@NotNull FallingBlock`
World.`spawnFallingBlock(@NotNull Location location, @NotNull MaterialData data)`
Deprecated.
use `World.spawnFallingBlock(Location, BlockData)`

## Uses of MaterialData in org.bukkit.block

Methods in org.bukkit.block that return MaterialData
Modifier and Type
Method
Description
`@NotNull MaterialData`
BlockState.`getData()`
Deprecated.
use `BlockState.getBlockData()`
Methods in org.bukkit.block with parameters of type MaterialData
Modifier and Type
Method
Description
`void`
BlockState.`setData(@NotNull MaterialData data)`
Deprecated.
use `BlockState.setBlockData(BlockData)`

## Uses of MaterialData in org.bukkit.entity

Methods in org.bukkit.entity that return MaterialData
Modifier and Type
Method
Description
`@NotNull MaterialData`
Enderman.`getCarriedMaterial()`
Deprecated.
use `Enderman.getCarriedBlock()`
`@NotNull MaterialData`
Minecart.`getDisplayBlock()`
Deprecated.
use `Minecart.getDisplayBlockData()`
Methods in org.bukkit.entity with parameters of type MaterialData
Modifier and Type
Method
Description
`void`
Enderman.`setCarriedMaterial(@NotNull MaterialData material)`
Deprecated.
use `Enderman.setCarriedBlock(BlockData)`
`void`
Minecart.`setDisplayBlock(@Nullable MaterialData material)`
Deprecated.
use `Minecart.setDisplayBlockData(BlockData)`

## Uses of MaterialData in org.bukkit.generator

Methods in org.bukkit.generator that return MaterialData
Modifier and Type
Method
Description
`@NotNull MaterialData`
ChunkGenerator.ChunkData.`getTypeAndData(int x, int y, int z)`
Deprecated.
use `ChunkGenerator.ChunkData.getBlockData(int, int, int)`
Methods in org.bukkit.generator with parameters of type MaterialData
Modifier and Type
Method
Description
`void`
ChunkGenerator.ChunkData.`setBlock(int x, int y, int z, @NotNull MaterialData material)`
Deprecated.
use `ChunkGenerator.ChunkData.setBlock(int, int, int, BlockData)`
`void`
ChunkGenerator.ChunkData.`setRegion(int xMin, int yMin, int zMin, int xMax, int yMax, int zMax, @NotNull MaterialData material)`
Deprecated.
use `ChunkGenerator.ChunkData.setRegion(int, int, int, int, int, int, BlockData)`

## Uses of MaterialData in org.bukkit.inventory

Methods in org.bukkit.inventory that return MaterialData
Modifier and Type
Method
Description
`@Nullable MaterialData`
ItemStack.`getData()`
Deprecated.
cast to `BlockDataMeta` and use `BlockDataMeta.getBlockData(Material)`
Methods in org.bukkit.inventory with parameters of type MaterialData
Modifier and Type
Method
Description
`@NotNull ShapelessRecipe`
ShapelessRecipe.`addIngredient(int count, @NotNull MaterialData ingredient)`
Deprecated.
use `ShapelessRecipe.addIngredient(int, Material)`
`@NotNull ShapelessRecipe`
ShapelessRecipe.`addIngredient(@NotNull MaterialData ingredient)`
Deprecated.
use `ShapelessRecipe.addIngredient(RecipeChoice)`
`@NotNull ShapelessRecipe`
ShapelessRecipe.`removeIngredient(int count, @NotNull MaterialData ingredient)`
Deprecated.
use `ShapelessRecipe.removeIngredient(int, Material)`
`@NotNull ShapelessRecipe`
ShapelessRecipe.`removeIngredient(@NotNull MaterialData ingredient)`
Deprecated.
use `ShapelessRecipe.removeIngredient(Material)`
`void`
ItemStack.`setData(@Nullable MaterialData data)`
Deprecated.
cast to `BlockDataMeta` and use `BlockDataMeta.setBlockData(org.bukkit.block.data.BlockData)`
`@NotNull ShapedRecipe`
ShapedRecipe.`setIngredient(char key, @NotNull MaterialData ingredient)`
Deprecated.
use `ShapedRecipe.setIngredient(char, RecipeChoice)`
`@NotNull FurnaceRecipe`
FurnaceRecipe.`setInput(@NotNull MaterialData input)`
Deprecated.
use `FurnaceRecipe.setInputChoice(RecipeChoice)`
Constructors in org.bukkit.inventory with parameters of type MaterialData
Modifier
Constructor
Description
``
`FurnaceRecipe(@NotNull ItemStack result, @NotNull MaterialData source)`
Deprecated.
``
`FurnaceRecipe(@NotNull ItemStack result, @NotNull MaterialData source, float experience)`
Deprecated.

## Uses of MaterialData in org.bukkit.material

Subclasses of MaterialData in org.bukkit.material
Modifier and Type
Class
Description
`class`
`Banner`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Bed`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Button`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Cake`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Cauldron`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Chest`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Coal`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`CocoaPlant`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Command`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Comparator`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Crops`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`DetectorRail`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Diode`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`DirectionalContainer`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Dispenser`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Door`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Dye`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`EnderChest`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`ExtendedRails`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`FlowerPot`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Furnace`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`FurnaceAndDispenser`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Gate`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Hopper`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Ladder`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Leaves`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Lever`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`LongGrass`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`MonsterEggs`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Mushroom`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`NetherWarts`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Observer`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`PistonBaseMaterial`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`PistonExtensionMaterial`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`PoweredRail`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`PressurePlate`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Pumpkin`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Rails`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`RedstoneTorch`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`RedstoneWire`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Sandstone`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Sapling`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Sign`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`SimpleAttachableMaterialData`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Skull`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`SmoothBrick`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`SpawnEgg`
Deprecated.
use `SpawnEggMeta`
`class`
`Stairs`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Step`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`TexturedMaterial`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Torch`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`TrapDoor`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Tree`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Tripwire`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`TripwireHook`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Vine`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Wood`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`WoodenStep`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
`class`
`Wool`
Deprecated.
all usage of MaterialData is deprecated and subject to removal.
Methods in org.bukkit.material that return MaterialData
Modifier and Type
Method
Description
`MaterialData`
MaterialData.`clone()`
Deprecated.
`MaterialData`
FlowerPot.`getContents()`
Deprecated.
Get the material in the flower pot
Methods in org.bukkit.material with parameters of type MaterialData
Modifier and Type
Method
Description
`void`
FlowerPot.`setContents(MaterialData materialData)`
Deprecated.
Set the contents of the flower pot